# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_openAI_completions']

package_data = \
{'': ['*']}

install_requires = \
['aiohttp>=3.8.3,<4.0.0',
 'nonebot-adapter-onebot>=2.1.3,<3.0.0',
 'nonebot2>=2.0.0b5,<3.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-openai-completions',
    'version': '0.0.1',
    'description': '适用于nonebot2 v11的基于trace.moe的动画截图场景追溯插件',
    'long_description': '<div align="center">\n  <a href="https://v2.nonebot.dev/store"><img src="https://github.com/A-kirami/nonebot-plugin-template/blob/resources/nbp_logo.png" width="180" height="180" alt="NoneBotPluginLogo"></a>\n  <br>\n  <p><img src="https://github.com/A-kirami/nonebot-plugin-template/blob/resources/NoneBotPlugin.svg" width="240" alt="NoneBotPluginText"></p>\n</div>\n\n<div align="center">\n\n# nonebot_plugin_openAI_completions\n  \n_✨ NoneBot 调用openAI completions接口实现的对话插件 ✨_\n  \n<a href="https://github.com/Ikaros-521/nonebot_plugin_openAI_completions/stargazers">\n    <img alt="GitHub stars" src="https://img.shields.io/github/stars/Ikaros-521/nonebot_plugin_openAI_completions?color=%09%2300BFFF&style=flat-square">\n</a>\n<a href="https://github.com/Ikaros-521/nonebot_plugin_openAI_completions/issues">\n    <img alt="GitHub issues" src="https://img.shields.io/github/issues/Ikaros-521/nonebot_plugin_openAI_completions?color=Emerald%20green&style=flat-square">\n</a>\n<a href="https://github.com/Ikaros-521/nonebot_plugin_openAI_completions/network">\n    <img alt="GitHub forks" src="https://img.shields.io/github/forks/Ikaros-521/nonebot_plugin_openAI_completions?color=%2300BFFF&style=flat-square">\n</a>\n<a href="./LICENSE">\n    <img src="https://img.shields.io/github/license/Ikaros-521/nonebot_plugin_openAI_completions.svg" alt="license">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot_plugin_openAI_completions">\n    <img src="https://img.shields.io/pypi/v/nonebot_plugin_openAI_completions.svg" alt="pypi">\n</a>\n<a href="https://www.python.org">\n    <img src="https://img.shields.io/badge/python-3.8+-blue.svg" alt="python">\n</a>\n\n</div>\n\n适用于nonebot2 v11的调用openAI completions接口实现的对话插件，部分源码由chatGPT编写。    \n调用的相关API源自api.openai.com  \n\n## 🔧 开发环境\nNonebot2：2.0.0b5  \npython：3.8.13  \n操作系统：Windows10（Linux兼容性问题不大）  \n编辑器：pycharm  \n\n## 💿 安装\n环境依赖`aiohttp`库   \n且需要注册openAI账号，获取secret key，配置env后才能正常使用！  \n\n### 1. nb-cli安装（推荐）\n在你bot工程的文件夹下，运行cmd（运行路径要对啊），执行nb命令安装插件，插件配置会自动添加至配置文件  \n```\nnb plugin install nonebot_plugin_openAI_completions\n```\n\n### 2. 本地安装\n先安装下 `aiohttp`\n```\npip install aiohttp\n```\n将项目clone到你的机器人插件下的对应插件目录内（一般为机器人文件夹下的`src/plugins`），然后把`nonebot_plugin_openAI_completions`文件夹里的内容拷贝至上一级目录即可。  \nclone命令参考（得先装`git`，懂的都懂）：\n```\ngit clone https://github.com/Ikaros-521/nonebot_plugin_openAI_completions.git\n``` \n也可以直接下载压缩包到插件目录解压，然后同样提取`nonebot_plugin_openAI_completions`至上一级目录。  \n目录结构： ```你的bot/src/plugins/nonebot_plugin_openAI_completions/__init__.py```  \n\n\n### 3. pip安装\n```\npip install nonebot_plugin_openAI_completions\n```  \n打开 nonebot2 项目的 ```bot.py``` 文件, 在其中写入  \n```nonebot.load_plugin(\'nonebot_plugin_openAI_completions\')```  \n当然，如果是默认nb-cli创建的nonebot2的话，在bot路径```pyproject.toml```的```[tool.nonebot]```的```plugins```中添加```nonebot_plugin_openAI_completions```即可  \npyproject.toml配置例如：  \n``` \n[tool.nonebot]\nplugin_dirs = ["src/plugins"]\nplugins = ["nonebot_plugin_openAI_completions"]\n``` \n\n### 更新版本\n```\nnb plugin update nonebot_plugin_openAI_completions\n```\n\n## 🔧 配置\n\n### secret key获取方式\n获取 openai 的 secret key 需要您先创建一个 openai 账号，然后在其网站上申请 API key。  \n\n具体流程如下：  \n\n1、访问 openai 网站（https://beta.openai.com/），点击右上角的“Sign up”按钮进行注册。  \n2、在注册页面填写相关信息并提交，完成账号创建。  \n3、登录 openai 网站，点击右上角的“Developer”菜单，进入开发者控制台。  \n4、在开发者控制台中点击“New API Key”按钮，创建一个新的 API key。  \n5、在弹出的窗口中输入您的 API key 名称，然后点击“Create”按钮。  \n6、在创建完成后，您可以在开发者控制台中看到您创建的 API key 的 secret key。  \n\n### env配置\n```\n# 在你的env文件中添加如下配置（我的是.env.prod）  \nopenai_secret_key="sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"\n```\n|       配置项        | 必填 | 默认值  |                      说明                      |\n|:----------------:|:----:|:----:|:----------------------------:|\n| `openai_secret_key` | 是 | `""` | 参考上文secret key获取方式 |\n\n\n## 🎉 功能\n调用openAI的API接口获取请求返回直接输出，简单粗暴。  \n\n## 👉 命令\n\n### /cplt 或 /openai 或 /ai\n命令结构：```/cplt [你想问的内容]```  \n例如：```/cplt 用python实现hello world``` 或 ```/openai 你叫什么名字``` 或 ```/ai 今天是什么日子```  \nbot返回内容：  \n![](docs/result.png)\n\n\n## ⚙ 拓展\n自己动手丰衣足食  \n![](docs/demo.png)  \n\n## 📝 更新日志\n\n<details>\n<summary>展开/收起</summary>\n\n### 0.0.1\n\n- 插件初次发布  \n\n</details>\n\n## 致谢\n- [chat.openai.com](https://chat.openai.com)\n',
    'author': 'Ikaros',
    'author_email': '327209194@qq.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/Ikaros-521/nonebot_plugin_openAI_completions',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
